Get the customer prepaid wallet
1 min
GET
https://app.amberflo.io/customer-portal/prepaid-wallet
Query Parameters
- productIdstringDescriptionDefault1
- sessionTokenstringrequiredDescription
Responses
200
- billing-customer-prepaid-wallet-response
- creditUnitobject
- activeboolean
- descriptionstring
- idstring
- lastUpdateTimeInMillisinteger
- namestring
- ratioToCurrencynumber
- shortNamestring
- keyobject
- accountIdstring
- customerIdstring
- productIdstring
- prepaidCardsobject[]Description
- amountLeftnumber
- amountLeftInCreditsnumber
- cardTypestring<ONE_TIME | RECURRENCE | EXTERNAL_ONE_TIME | EXTERNAL_RECURRENCE | CREDIT_ONE_TIME | REWARDS | COMMITMENT_REWARDS>
- expirationTimeInMillisinteger
- labelstring
- paymentCurrencyInfoobject
- basePlanCurrencyobject
- currencyCodestring
- exchangeRatenumber
- paymentCurrencyobject
- currencyCodestring
- paymentIdstringDescription
- paymentStatusstring<PRE_PAYMENT | REQUIRES_ACTION | PENDING | FAILED | SETTLED | NOT_NEEDED | UNKNOWN>
- paymentSystemNamestring
- prepaidConditionsobject
- prepaidConditionsListobject[]
- prepaidUristringDescription
- pricenumberDescription
- priceInBaseCurrencynumber
- priceInCreditsnumber
- productInvoicesobject[]
- amountnumber
- amountInCreditsnumber
- createdTimeInSecondsinteger
- invoiceUristringDescription
- sourceUristringDescription
- startTimeInMillisinteger
- usedAmountnumber
- usedAmountInCreditsnumber
- worthnumberDescription
- worthInCreditsnumber
curl
curl --request GET \
--url 'https://app.amberflo.io/customer-portal/prepaid-wallet?productId=1&sessionToken=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/customer-portal/prepaid-wallet?productId=1&sessionToken=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/customer-portal/prepaid-wallet?productId=1&sessionToken=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/customer-portal/prepaid-wallet?productId=1&sessionToken=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
{
"creditUnit": {
"active": false,
"description": "",
"id": "",
"lastUpdateTimeInMillis": 0,
"name": "",
"ratioToCurrency": 0,
"shortName": ""
},
"key": {
"accountId": "",
"customerId": "",
"productId": ""
},
"prepaidCards": [
{
"amountLeft": 0,
"amountLeftInCredits": 0,
"cardType": "",
"expirationTimeInMillis": 0,
"label": "",
"paymentCurrencyInfo": {
"basePlanCurrency": {
"currencyCode": ""
},
"exchangeRate": 0,
"paymentCurrency": {
"currencyCode": ""
}
},
"paymentId": "",
"paymentStatus": "",
"paymentSystemName": "",
"prepaidConditions": {
"prepaidConditionsList": [
{}
]
},
"prepaidUri": "",
"price": 0,
"priceInBaseCurrency": 0,
"priceInCredits": 0,
"productInvoices": [
{
"amount": 0,
"amountInCredits": 0,
"createdTimeInSeconds": 0,
"invoiceUri": ""
}
],
"sourceUri": "",
"startTimeInMillis": 0,
"usedAmount": 0,
"usedAmountInCredits": 0,
"worth": 0,
"worthInCredits": 0
}
]
}